Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.bindery
Class BinderyUtil

    java.lang.Object
      |
      +--com.novell.service.bindery.BinderyUtil

public final class BinderyUtil
extends java.lang.Object

Defines a number of constants for use with the Bindery. Also, provides one method, byteswapID(int), for swapping the byte ordering for making native calls.

Field Summary
`static int` | `BF_DYNAMIC` Flag identifying a bindery object or bindery object property as dynamic.
`static int` | `BF_ITEM` Flag identifying a bindery property as containing a single item.
`static int` | `BF_SET` Flag identifying a bindery property as containing a set of items.
`static int` | `BF_STATIC` Flag identifying a bindery object or bindery object property as static.
`static int` | `BS_ANY_READ` Bindery security flag allowing any attached connection to have read privileges
`static int` | `BS_ANY_WRITE` Bindery security flag allowing any attached connection to have write privileges
`static int` | `BS_BINDERY_READ` Bindery security flag allowing the server (bindery) to have read privileges
`static int` | `BS_BINDERY_WRITE` Bindery security flag allowing the server (bindery) to have write privileges
`static int` | `BS_LOGGED_READ` Bindery security flag allowing a logged in object to have read privileges
`static int` | `BS_LOGGED_WRITE` Bindery security flag allowing a logged in object to have write privileges
`static int` | `BS_OBJECT_READ` Bindery security flag allowing the owner to have object read privileges
`static int` | `BS_OBJECT_WRITE` Bindery security flag allowing the owner object to have write privileges
`static int` | `BS_SUPER_READ` Bindery security flag allowing the supervisor to have read privileges
`static int` | `BS_SUPER_WRITE` Bindery security flag allowing the supervisor to have write privileges
`static int` | `NDS_TREE_TYPE_HR` Bindery object type for an NDS tree object.
`static int` | `NW_ANY_TYPE` Bindery type used as a wildcard in searching.
`static int` | `NW_ARCHIVE_QUEUE_TYPE_HR` Bindery object type for an archive queue object.
`static int` | `NW_JOB_QUEUE_TYPE_HR` Bindery object type for a job queue object.
`static int` | `NW_MAX_OBJECT_NAME_LEN` Maximum name size an object in the bindery can have (in ASCII chars, including the null terminator).
`static int` | `NW_PRINT_QUEUE_TYPE_HR` Bindery object type for a print queue object.
`static int` | `NW_SERVER_TYPE_HR` Bindery object type for a NetWare server object.

Method Summary
`static int` | `byteswapID(int orig)` Swaps the byte ordering on a 16-bit integer for making native calls.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NW_MAX_OBJECT_NAME_LEN

    public static final int NW_MAX_OBJECT_NAME_LEN

  Maximum name size an object in the bindery can have (in ASCII chars, including the null terminator).

  (NW_MAX_OBJECT_NAME_LEN = 48)

### NW_ANY_TYPE

    public static final int NW_ANY_TYPE

  Bindery type used as a wildcard in searching.

  (NW_ANY_TYPE = -1)

### NW_PRINT_QUEUE_TYPE_HR

    public static final int NW_PRINT_QUEUE_TYPE_HR

  Bindery object type for a print queue object.

  (NW_PRINT_QUEUE_TYPE_HR = 0x0003)

### NW_SERVER_TYPE_HR

    public static final int NW_SERVER_TYPE_HR

  Bindery object type for a NetWare server object.

  (NW_SERVER_TYPE_HR = 0x0004)

### NW_ARCHIVE_QUEUE_TYPE_HR

    public static final int NW_ARCHIVE_QUEUE_TYPE_HR

  Bindery object type for an archive queue object.

  (NW_ARCHIVE_QUEUE_TYPE_HR = 0x0008)

### NW_JOB_QUEUE_TYPE_HR

    public static final int NW_JOB_QUEUE_TYPE_HR

  Bindery object type for a job queue object.

  (NW_JOB_QUEUE_TYPE_HR = 0x000a)

### NDS_TREE_TYPE_HR

    public static final int NDS_TREE_TYPE_HR

  Bindery object type for an NDS tree object.

  (NDS_TREE_TYPE_HR = 0x0278)

### BF_STATIC

    public static final int BF_STATIC

  Flag identifying a bindery object or bindery object property as static. A static object or property is saved to disk and is restored when the server is restarted.

  (BF_STATIC = 0x00)

  See Also:
    `BF_DYNAMIC`

### BF_DYNAMIC

    public static final int BF_DYNAMIC

  Flag identifying a bindery object or bindery object property as dynamic. A dynamic object or property is only kept in memory and is not restored when a server is restarted.

  (BF_DYNAMIC = 0x01)

  See Also:
    `BF_STATIC`

### BF_ITEM

    public static final int BF_ITEM

  Flag identifying a bindery property as containing a single item.

  (BF_ITEM = 0x00)

  See Also:
    `BF_SET`

### BF_SET

    public static final int BF_SET

  Flag identifying a bindery property as containing a set of items.

  (BF_SET = 0x02)

  See Also:
    `BF_ITEM`

### BS_ANY_READ

    public static final int BS_ANY_READ

  Bindery security flag allowing any attached connection to have read privileges

  (BS_ANY_READ = 0x00)

  See Also:
    `BS_ANY_WRITE`, `BS_LOGGED_READ`, `BS_OBJECT_READ`, `BS_SUPER_READ`, `BS_BINDERY_READ`

### BS_LOGGED_READ

    public static final int BS_LOGGED_READ

  Bindery security flag allowing a logged in object to have read privileges

  (BS_LOGGED_READ = 0x01)

  See Also:
    `BS_ANY_READ`, `BS_LOGGED_WRITE`, `BS_OBJECT_READ`, `BS_SUPER_READ`, `BS_BINDERY_READ`

### BS_OBJECT_READ

    public static final int BS_OBJECT_READ

  Bindery security flag allowing the owner to have object read privileges

  (BS_OBJECT_READ = 0x02)

  See Also:
    `BS_ANY_READ`, `BS_LOGGED_READ`, `BS_OBJECT_WRITE`, `BS_SUPER_READ`, `BS_BINDERY_READ`

### BS_SUPER_READ

    public static final int BS_SUPER_READ

  Bindery security flag allowing the supervisor to have read privileges

  (BS_SUPER_READ = 0x03)

  See Also:
    `BS_ANY_READ`, `BS_LOGGED_READ`, `BS_OBJECT_READ`, `BS_SUPER_WRITE`, `BS_BINDERY_READ`

### BS_BINDERY_READ

    public static final int BS_BINDERY_READ

  Bindery security flag allowing the server (bindery) to have read privileges

  (BS_BINDERY_READ = 0x04)

  See Also:
    `BS_ANY_READ`, `BS_LOGGED_READ`, `BS_OBJECT_READ`, `BS_SUPER_READ`, `BS_BINDERY_WRITE`

### BS_ANY_WRITE

    public static final int BS_ANY_WRITE

  Bindery security flag allowing any attached connection to have write privileges

  (BS_ANY_WRITE = 0x00)

  See Also:
    `BS_ANY_READ`, `BS_LOGGED_WRITE`, `BS_OBJECT_WRITE`, `BS_SUPER_WRITE`, `BS_BINDERY_WRITE`

### BS_LOGGED_WRITE

    public static final int BS_LOGGED_WRITE

  Bindery security flag allowing a logged in object to have write privileges

  (BS_LOGGED_WRITE = 0x10)

  See Also:
    `BS_ANY_WRITE`, `BS_LOGGED_READ`, `BS_OBJECT_WRITE`, `BS_SUPER_WRITE`, `BS_BINDERY_WRITE`

### BS_OBJECT_WRITE

    public static final int BS_OBJECT_WRITE

  Bindery security flag allowing the owner object to have write privileges

  (BS_OBJECT_WRITE = 0x20)

  See Also:
    `BS_ANY_WRITE`, `BS_LOGGED_WRITE`, `BS_OBJECT_READ`, `BS_SUPER_WRITE`, `BS_BINDERY_WRITE`

### BS_SUPER_WRITE

    public static final int BS_SUPER_WRITE

  Bindery security flag allowing the supervisor to have write privileges

  (BS_SUPER_WRITE = 0x30)

  See Also:
    `BS_ANY_WRITE`, `BS_LOGGED_WRITE`, `BS_OBJECT_WRITE`, `BS_SUPER_READ`, `BS_BINDERY_WRITE`

### BS_BINDERY_WRITE

    public static final int BS_BINDERY_WRITE

  Bindery security flag allowing the server (bindery) to have write privileges

  (BS_BINDERY_WRITE = 0x40)

  See Also:
    `BS_ANY_WRITE`, `BS_LOGGED_WRITE`, `BS_OBJECT_WRITE`, `BS_SUPER_WRITE`, `BS_BINDERY_READ`

Method Detail

### byteswapID

    public static int byteswapID(int orig)

  Swaps the byte ordering on a 16-bit integer for making native calls. This must be done when sending bindery object types over the wire, because the wire format for type 0x1 is 0x100. Only the lower 16 bits are swapped, but the parameter and return values are in 32-bit Java int format.
  Parameters:
    `orig` - The original 32-bit Java int.
  Returns:
    The new 32-bit int with the lower 16 bits swapped.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD